PROJ = CLEANREG
OBJS = $(PROJ).OBJ CLNREGUI.OBJ

CFLAGS = $(CFLAGS) /W3 /DWIN32_LEAN_AND_MEAN /Fd"$(PROJ).PDB"
LFLAGS = 

!if "$(UNICODE)" == "1"
UNICODE_FLAGS = /DUNICODE /D_UNICODE
!endif

!if "$(DEBUG)" == "1"
CFLAGS = $(CFLAGS) $(UNICODE_FLAGS) /YX /Fp"$(PROJ).PCH" /D_DEBUG /Zi
LFLAGS = /SUBSYSTEM:windows /DEBUG /DEBUGTYPE:CV 
!else
CFLAGS = $(CFLAGS) $(UNICODE_FLAGS) /O2 /DNDEBUG
!endif

LIBS = KERNEL32.LIB USER32.LIB ADVAPI32.LIB COMCTL32.LIB

$(PROJ).EXE: $(OBJS) $(PROJ).RES
    echo >NUL @<<$(PROJ).CRF
$(LFLAGS) $(OBJS) $(PROJ).RES -OUT:$(PROJ).EXE $(LIBS)
<<
    link @$(PROJ).CRF

.cpp.obj:
    CL $(CFLAGS) /c $<

$(PROJ).RES: $(PROJ).RC
  RC -r $(PROJ).RC
