////////////////////////////////////////////////////////////////////////////////
// $Header:   S:\3x\src\ntkm\ntdevpp\sampdrv\cppx.h_v   1.0   24 Jun 1996 16:24:30   JHUCKINS  $
// 
// INTEL Corporation Proprietary Information
// 
// This listing is supplied under the terms of a license agreement
// with INTEL Corporation and may not be copied nor disclosed except
// in accordance with the terms of that agreement.
// 
// Copyright (c) 1996 Intel Corporation. All rights reserved.
// 
// $Revision:   1.0  $
// $Date:   24 Jun 1996 16:24:30  $
// $Author:   JHUCKINS  $
// 
// Log at end of file.
// 
// Module Name:	cppx.h
// Author:		Jeff Huckins
// Abstract:	C++ init and shutdown interfaces
// Environment:	Windows NT 3.51/4.0, MS Visual C++ 4.x
// Notes:
// 
////////////////////////////////////////////////////////////////////////////////

#ifndef cppx_h
#define cppx_h

#ifdef __cplusplus
extern "C"
{
#endif

BOOLEAN cppInit( void );
void cppShutdown( void );

#ifdef __cplusplus
} // extern "C"
#endif

#endif cppx_h

/*******************************************************************************
 * $Log:   S:\3x\src\ntkm\ntdevpp\sampdrv\cppx.h_v  $
 * 
 *    Rev 1.0   24 Jun 1996 16:24:30   JHUCKINS
 * Initial revision.
 * 
 *    Rev 1.3   03 Jun 1996 07:47:02   JHUCKINS
 * Added Author to file header
 * 
 *    Rev 1.2   31 May 1996 15:49:36   JDELLIOT
 * added robustness features (ASSERT, TRACE, validation of params)
 * cleanup
 * restructure of some interfaces
 * 
 *    Rev 1.1   27 Mar 1996 14:12:42   JDELLIOT
 * added PVCS keywords and support for warning level 4
 *
 */

