////////////////////////////////////////////////////////////////////////////////
// $Header:   S:\3x\src\ntkm\ntdevpp\sampdrv\custdpc.cpv   1.0   24 Jun 1996 16:24:22   JHUCKINS  $
// 
// INTEL Corporation Proprietary Information
// 
// This listing is supplied under the terms of a license agreement
// with INTEL Corporation and may not be copied nor disclosed except
// in accordance with the terms of that agreement.
// 
// Copyright (c) 1996 Intel Corporation. All rights reserved.
// 
// $Revision:   1.0  $
// $Date:   24 Jun 1996 16:24:22  $
// $Author:   JHUCKINS  $
// 
// Log at end of file.
// 
// Module Name:	custdpc.cpp
// Author:		Jeff Huckins
// Abstract:	CCustomDpcObject Implementation
// Environment:	Windows NT 3.51/4.0, MS Visual C++ 2.x
// Notes:
// 
////////////////////////////////////////////////////////////////////////////////

#pragma warning( disable: 4514 )	// unreferenced inline function has been removed
#pragma warning( disable: 4201 )	// nonstandard extension used : nameless struct/union

#include <idrivrpp.h>
#include "custdpc.h"

BOOLEAN CCustomDpcObject::InsertQueue( 
	IN PVOID SystemArgument1 /* = NULL */ ,
	IN PVOID SystemArgument2 /* = NULL */ )
{
	// raise IRQL if necessary
	KIRQL Irql = DISPATCH_LEVEL;
	if( DISPATCH_LEVEL > ::KeGetCurrentIrql() )
	{
		KeRaiseIrql( DISPATCH_LEVEL, &Irql );
	}

	BOOLEAN Result = KeInsertQueueDpc( &m_Dpc, SystemArgument1, SystemArgument2 );

	// lower IRQL if necessary
	if( DISPATCH_LEVEL != Irql )
	{
		KeLowerIrql( Irql );
	}

	return Result;
}

////////////////////////////////////////////////////////////////////////////////
// $Log:   S:\3x\src\ntkm\ntdevpp\sampdrv\custdpc.cpv  $
// 
//    Rev 1.0   24 Jun 1996 16:24:22   JHUCKINS
// Initial revision.
// 
//    Rev 1.3   03 Jun 1996 07:47:10   JHUCKINS
// Added Author to file header
// 
//    Rev 1.2   31 May 1996 15:50:26   JDELLIOT
// added robustness features (ASSERT, TRACE, validation of params)
// cleanup
// restructure of some interfaces
// 
