////////////////////////////////////////////////////////////////////////////////
// $Header:   S:\3x\src\ntkm\ntdevpp\sampdrv\idrivrpp.h_v   1.0   24 Jun 1996 16:24:36   JHUCKINS  $
// 
// INTEL Corporation Proprietary Information
// 
// This listing is supplied under the terms of a license agreement
// with INTEL Corporation and may not be copied nor disclosed except
// in accordance with the terms of that agreement.
// 
// Copyright (c) 1996 Intel Corporation. All rights reserved.
// 
// $Revision:   1.0  $
// $Date:   24 Jun 1996 16:24:36  $
// $Author:   JHUCKINS  $
// 
// Log at end of file.
// 
// Module Name:	idrivrpp.h
// Author:		Jeff Huckins
// Abstract:	master include file
// Environment:	Windows NT 3.51/4.0, MS Visual C++ 2.x
// Notes:
// 
////////////////////////////////////////////////////////////////////////////////

#ifndef idrivrpp_h
#define idrivrpp_h

extern "C"
{
#include <ntddk.h>
}

#include "dpc.h"		// CDpcOjbect
#include "mem.h"		// globlal new and delete
#include "intrpt.h"		// CInterruptObject
#include "uldevice.h"	// CUpperDeviceObject
#include "driver.h"		// CDriverObject
#include "device.h"		// CDeviceObject
#include "adapter.h"	// CAdapterObject
#include "dlist.h"		// CDListEntry, CDList
#include "unicode.h"	// CUnicodeString
#include "custdpc.h"	// CCustomDpcObject
#include "linteger.h"	// CLargeInteger
#include "file.h"		// CFile
#include "timeout.h"	// CTimeOut
#include "object.h"		// CObject
#include "thread.h"		// CThread
#include "devqueue.h"	// CDeviceQueueEntry, CDeviceQueue
#include "spinlock.h"	// CSpinLock
#include "regkey.h"		// CRegistryKey

#endif idrivrpp_h

/*******************************************************************************
 * $Log:   S:\3x\src\ntkm\ntdevpp\sampdrv\idrivrpp.h_v  $
 * 
 *    Rev 1.0   24 Jun 1996 16:24:36   JHUCKINS
 * Initial revision.
 * 
 *    Rev 1.18   03 Jun 1996 07:47:04   JHUCKINS
 * Added Author to file header
 * 
 *    Rev 1.17   31 May 1996 15:49:58   JDELLIOT
 * added robustness features (ASSERT, TRACE, validation of params)
 * cleanup
 * restructure of some interfaces
 * 
 *    Rev 1.16   14 May 1996 16:18:58   JHUCKINS
 * Added regkey.h
 * 
 *    Rev 1.15   10 May 1996 16:09:28   JHUCKINS
 * Added object.h
 * 
 *    Rev 1.14   08 May 1996 15:30:04   JDELLIOT
 * added spinlock.h
 * 
 *    Rev 1.13   07 May 1996 14:54:06   JDELLIOT
 * added devqueue.h
 * 
 *    Rev 1.12   30 Apr 1996 16:26:10   JHUCKINS
 * Added thread.h
 * 
 *    Rev 1.11   29 Apr 1996 17:29:44   JDELLIOT
 * added timeout.h
 * 
 *    Rev 1.10   29 Apr 1996 13:52:42   JHUCKINS
 * Added file.h
 * 
 *    Rev 1.9   25 Apr 1996 14:07:02   JDELLIOT
 * added linteger.h
 * 
 *    Rev 1.8   12 Apr 1996 13:00:48   JHUCKINS
 * Added #include for custdpc.h (CCustomDpcObject)
 * 
 *    Rev 1.7   05 Apr 1996 10:59:22   JHUCKINS
 * Added unicode.h
 * 
 *    Rev 1.6   01 Apr 1996 11:04:12   JHUCKINS
 * Added include for dlist.h
 * 
 *    Rev 1.5   27 Mar 1996 14:12:58   JDELLIOT
 * added PVCS keywords and support for warning level 4
 *
 */

