////////////////////////////////////////////////////////////////////////////////
// $Header:   S:\3x\src\ntkm\ntdevpp\sampdrv\mem.h_v   1.0   24 Jun 1996 16:24:32   JHUCKINS  $
// 
// INTEL Corporation Proprietary Information
// 
// This listing is supplied under the terms of a license agreement
// with INTEL Corporation and may not be copied nor disclosed except
// in accordance with the terms of that agreement.
// 
// Copyright (c) 1996 Intel Corporation. All rights reserved.
// 
// $Revision:   1.0  $
// $Date:   24 Jun 1996 16:24:32  $
// $Author:   JHUCKINS  $
// 
// Log at end of file.
// 
// Module Name:	mem.h
// Author:		Jeff Huckins
// Abstract:	Interface for global new() and delete()
// Environment:	Windows NT 3.51/4.0, MS Visual C++ 2.x
// Notes:
// 
////////////////////////////////////////////////////////////////////////////////

#ifndef mem_h
#define mem_h

#include "ntdevpp.h"

PVOID _cdecl operator new( size_t size );
PVOID _cdecl operator new( size_t size, POOL_TYPE type );
VOID _cdecl operator delete( PVOID p );

#endif mem_h

/*******************************************************************************
 * $Log:   S:\3x\src\ntkm\ntdevpp\sampdrv\mem.h_v  $
 * 
 *    Rev 1.0   24 Jun 1996 16:24:32   JHUCKINS
 * Initial revision.
 * 
 *    Rev 1.6   03 Jun 1996 07:47:06   JHUCKINS
 * Added Author to file header
 * 
 *    Rev 1.5   31 May 1996 15:50:12   JDELLIOT
 * added robustness features (ASSERT, TRACE, validation of params)
 * cleanup
 * restructure of some interfaces
 * 
 *    Rev 1.4   29 Mar 1996 08:20:50   jhuckins
 * operator new with default POL_TYPE arg doesn't resolve correctly for default
 * case, so added operator new with no POOL_TYPE arg which allocates 
 * NonPagedPool type memory.
 * 
 *    Rev 1.3   29 Mar 1996 07:56:40   jhuckins
 * Added default POOL_TYPE arg to operator new.  Default is NonPagedPool
 * 
 *    Rev 1.2   27 Mar 1996 14:13:24   JDELLIOT
 * added PVCS keywords and support for warning level 4
 *
 */

